local FOLDER_NAME, SCA = ...

local zones = {
	[-1] = {
		["Dreadscar Rift"] = { -- Warlock Class Hall
			min = 100,
			max = GetMaxPlayerLevel(),
		},
		["Emeral Dreamway"] = {
			min = 100,
			max = GetMaxPlayerLevel(),
		},
		["Hall of the Guardian"] = { -- Mage Class Hall
			min = 100,
			max = GetMaxPlayerLevel(),
		},
		["Mardum, the Shattered Abyss"] = { -- Demon Hunter Class Hall
			min = 100,
			max = GetMaxPlayerLevel(),
		},
		["Netherlight Temple"] = { -- Priest Class Hall
			min = 100,
			max = GetMaxPlayerLevel(),
		},
		["Skyhold"] = { -- Warrior Class Hall
			min = 100,
			max = GetMaxPlayerLevel(),
		},
		["The Maelstrom"] = { -- Shaman Class Hall
			min = 100,
			max = GetMaxPlayerLevel(),
		},
		["Wandering Isle"] = { -- Monk Class Hall
			min = 100,
			max = GetMaxPlayerLevel(),
		},
	},
	[1] = { -- Kalimdor
		["Ashenvale"] = {
			min = 15,
			max = 60,
		},
		["Azshara"] = {
			min = 10,
			max = 60,
		},
		["Azuremyst Isle"] = {
			min = 1,
			max = 20,
		},
		["Bloodmyst Isle"] = {
			min = 10,
			max = 60,
		},
		["Darkshore"] = {
			min = 10,
			max = 60,
		},
		["Desolace"] = {
			min = 30,
			max = 60,
		},
		["Durotar"] = {
			min = 1,
			max = 20,
		},
		["Duskwallow Marsh"] = {
			min = 35,
			max = 60,
		},
		["Felwood"] = {
			min = 40,
			max = 60,
		},
		["Feralas"] = {
			min = 35,
			max = 60,
		},
		["Moonglade"] = {
			min = 1,
			max = 110,
		},
		["Mount Hyjal"] = {
			min = 80,
			max = 90,
		},
		["Mulgore"] = {
			min = 1,
			max = 20,
		},
		["Northern Barrens"] = {
			min = 10,
			max = 60,
		},
		["Silithus"] = {
			min = 40,
			max = 60,
		},
		["Southern Barrens"] = {
			min = 25,
			max = 60,
		},
		["Stonetalon Mountains"] = {
			min = 20,
			max = 60,
		},
		["Tanaris"] = {
			min = 40,
			max = 60,
		},
		["Teldrassil"] = {
			min = 1,
			max = 20,
		},
		["Thousand Needles"] = {
			min = 40,
			max = 60,
		},
		["Uldum"] = {
			min = 83,
			max = 90,
		},
		["Un'Goro Crater"] = {
			min = 40,
			max = 60,
		},
		["Winterspring"] = {
			min = 40,
			max = 60,
		},
	},
	[2] = { -- Eastern Kingdoms
		["Arathi Highlands"] = {
			min = 25,
			max = 60,
		},
		["Badlands"] = {
			min = 40,
			max = 60,
		},
		["Burning Steppes"] = {
			min = 40,
			max = 60,
		},
		["Deadwind Pass"] = {
			min = 55,
			max = 56,
		},
		["Dun Morogh"] = {
			min = 1,
			max = 20,
		},
		["Duskwood"] = {
			min = 20,
			max = 60,
		},
		["Eastern Plaguelands"] = {
			min = 40,
			max = 60,
		},
		["Elwynn Forest"] = {
			min = 1,
			max = 20,
		},
		["Eversong Woods"] = {
			min = 1,
			max = 20,
		},
		["Ghostlands"] = {
			min = 10,
			max = 60,
		},
		["Hillsbrad Foothills"] = {
			min = 15,
			max = 60,
		},
		["Isle of Quel'Danas"] = {
			min = 60,
			max = 80,
		},
		["Light's Hope Chapel"] = { -- Paladin Class Hall
			min = 100,
			max = GetMaxPlayerLevel(),
		},
		["Loch Modan"] = {
			min = 10,
			max = 60,
		},
		["Northern Stranglethorn"] = {
			min = 25,
			max = 60,
		},
		["Redridge Mountains"] = {
			min = 15,
			max = 60,
		},
		["Ruins of Gilneas"] = {
			min = 1,
			max = 20,
		},
		["Searing Gorge"] = {
			min = 40,
			max = 60,
		},
		["Silverpine Forest"] = {
			min = 10,
			max = 60,
		},
		["Swamp of Sorrows"] = {
			min = 40,
			max = 60,
		},
		["The Cape of Stranglethorn"] = {
			min = 30,
			max = 60,
		},
		["The Hinterlands"] = {
			min = 30,
			max = 60,
		},
		["Tirisfal Glades"] = {
			min = 1,
			max = 20,
		},
		["Tol Barad"] = {
			min = 84,
			max = 85,
		},
		["Tol Barad Peninsula"] = {
			min = 85,
			max = 85,
		},
		["Twilight Highlands"] = {
			min = 84,
			max = 90,
		},
		["Vashj'ir"] = {
			min = 80,
			max = 90,
		},
		["Western Plaguelands"] = {
			min = 35,
			max = 60,
		},
		["Westfall"] = {
			min = 10,
			max = 60,
		},
		["Wetlands"] = {
			min = 20,
			max = 60,
		},
	},
	[3] = { -- Outland
		["Blade's Edge Mountains"] = {
			min = 65,
			max = 80,
		},
		["Hellfire Peninsula"] = {
			min = 58,
			max = 80,
		},
		["Nagrand"] = {
			min = 64,
			max = 80,
		},
		["Netherstorm"] = {
			min = 67,
			max = 80,
		},
		["Shadowmoon Valley"] = {
			min = 67,
			max = 80,
		},
		["Terokkar Forest"] = {
			min = 62,
			max = 80,
		},
		["Zangarmarsh"] = {
			min = 60,
			max = 80,
		},
	},
	[4] = { -- Northrend
		["Borean Tundra"] = {
			min = 58,
			max = 80,
		},
		["Crystalsong Forest"] = {
			min = 67,
			max = 80,
		},
		["Dragonblight"] = {
			min = 61,
			max = 80,
		},
		["Grizzly Hills"] = {
			min = 63,
			max = 80,
		},
		["Howling Fjord"] = {
			min = 58,
			max = 80,
		},
		["Hrothgar's Landing"] = {
			min = 67,
			max = 80,
		},
		["Icecrown"] = {
			min = 67,
			max = 80,
		},
		["Sholazar Basin"] = {
			min = 66,
			max = 80,
		},
		["The Storm Peaks"] = {
			min = 67,
			max = 80,
		},
		["Wintergrasp"] = {
			min = 67,
			max = 80,
		},
		["Zul'Drak"] = {
			min = 64,
			max = 80,
		},
	},
	[5] = { -- The Maelstrom (VERIFY)
		["Deepholm"] = {
			min = 82,
			max = 90,
		},
		["Kezan"] = {
			min = 1,
			max = 20,
		},
		["The Lost Isles"] = {
			min = 1,
			max = 20,
		},
	},
	[6] = { -- Pandaria
		["Dread Wastes"] = {
			min = 84,
			max = 90,
		},
		["Isle of Thunder"] = {
			min = 85,
			max = 90,
		},
		["Krasarang Wilds"] = {
			min = 81,
			max = 90,
		},
		["Kun-Lai Summit"] = {
			min = 82,
			max = 90,
		},
		["The Jade Forest"] = {
			min = 80,
			max = 90,
		},
		["The Veiled Stair"] = {
			min = 80,
			max = 90,
		},
		["Timeless Isle"] = {
			min = 85,
			max = 90,
		},
		["Townlong Steppes"] = {
			min = 83,
			max = 90,
		},
		["Vale of Eternal Blossoms"] = {
			min = 85,
			max = 90,
		},
		["Valley of the Four Winds"] = {
			min = 81,
			max = 90,
		},
	},
	[7] = { -- Draenor
		["Ashran"] = {
			min = 100,
			max = 100,
		},
		["Frostfire Ridge"] = {
			min = 90,
			max = 100,
		},
		["Frostwall"] = { -- Horde Garrison
			min = 90,
			max = GetMaxPlayerLevel(),
		},
		["Gorgrond"] = {
			min = 92,
			max = 100,
		},
		["Lunarfall"] = { -- Alliance Garrison
			min = 90,
			max = GetMaxPlayerLevel(),
		},
		["Nagrand"] = {
			min = 98,
			max = 100,
		},
		["Shadowmoon Valley"] = {
			min = 90,
			max = 100,
		},
		["Spires of Arak"] = {
			min = 96,
			max = 100,
		},
		["Talador"] = {
			min = 94,
			max = 100,
		},
		["Tanaan Jungle"] = {
			min = 100,
			max = 100,
		},
	},
	[8] = { -- Broken Isles
		["Archerus: The Ebon Hold"] = { -- Death Knight Class Hall
			min = 100,
			max = GetMaxPlayerLevel(),
		},
		["Azsuna"] = {
			min = 100,
			max = 110,
		},
		["Broken Shore"] = {
			min = 110,
			max = 110,
		},
		["Dalaran"] = { -- Rogue Class Hall
			min = 100,
			max = GetMaxPlayerLevel(),
		},
		["Eye of Azshara"] = {
			min = 110,
			max = 110,
		},
		["Highmountain"] = {
			min = 100,
			max = 110,
		},
		["Stormheim"] = {
			min = 100,
			max = 110,
		},
		["Suramar"] = {
			min = 110,
			max = 110,
		},
		["The Dreamgrove"] = { -- Druid Class Hall
			min = 100,
			max = GetMaxPlayerLevel(),
		},
		["Trueshot Lodge"] = { -- Hunter Class Hall
			min = 100,
			max = GetMaxPlayerLevel(),
		},
		["Val'sharah"] = {
			min = 100,
			max = 110,
		},
	},
	[9] = { -- Argus
		["Antoran Wastes"] = {
			min = 110,
			max = 110,
		},
		["Krokuun"] = {
			min = 110,
			max = 110,
		},
		["Mac'Aree"] = {
			min = 110,
			max = 110,
		},
	},
}

SCA[1].data.zones = zones